Tag Parser: UtilitiesTests Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
UtilitiesTests Class Reference

The UtilitiesTests class tests various utility classes and functions of the tagparser library. More...

Inheritance diagram for UtilitiesTests:
[legend]
Collaboration diagram for UtilitiesTests:
[legend]

## Public Member Functions
void | setUp () override
void | tearDown () override
void | testSize ()
void | testStatusProvider ()
void | testTagTarget ()
void | testSignature ()
void | testMargin ()
void | testAspectRatio ()
void | testMediaFormat ()
void | testPositionInSet ()
void | testProgressFeedback ()
void | testAbortableProgressFeedback ()
void | testDiagnostics ()
void | testBackupFile ()
void | testFieldConversions ()
| Tests whether field mappings are consistent.

## Detailed Description

The UtilitiesTests class tests various utility classes and functions of the tagparser library.

Definition at line 37 of file utils.cpp.

## Member Function Documentation

## ◆ setUp()

void UtilitiesTests::setUp | ( |  | ) |
| override

Definition at line 74 of file utils.cpp.

## ◆ tearDown()

void UtilitiesTests::tearDown | ( |  | ) |
| override

Definition at line 78 of file utils.cpp.

## ◆ testAbortableProgressFeedback()

void UtilitiesTests::testAbortableProgressFeedback | ( |  | ) |

Definition at line 241 of file utils.cpp.

## ◆ testAspectRatio()

void UtilitiesTests::testAspectRatio | ( |  | ) |

Definition at line 143 of file utils.cpp.

## ◆ testBackupFile()

void UtilitiesTests::testBackupFile | ( |  | ) |

Definition at line 296 of file utils.cpp.

## ◆ testDiagnostics()

void UtilitiesTests::testDiagnostics | ( |  | ) |

Definition at line 284 of file utils.cpp.

## ◆ testFieldConversions()

void UtilitiesTests::testFieldConversions | ( |  | ) |

Tests whether field mappings are consistent.

So far only implemented for Id3v2Tag.

Definition at line 401 of file utils.cpp.

## ◆ testMargin()

void UtilitiesTests::testMargin | ( |  | ) |

Definition at line 135 of file utils.cpp.

## ◆ testMediaFormat()

void UtilitiesTests::testMediaFormat | ( |  | ) |

Definition at line 157 of file utils.cpp.

## ◆ testPositionInSet()

void UtilitiesTests::testPositionInSet | ( |  | ) |

Definition at line 175 of file utils.cpp.

## ◆ testProgressFeedback()

void UtilitiesTests::testProgressFeedback | ( |  | ) |

Definition at line 202 of file utils.cpp.

## ◆ testSignature()

void UtilitiesTests::testSignature | ( |  | ) |

Definition at line 119 of file utils.cpp.

## ◆ testSize()

void UtilitiesTests::testSize | ( |  | ) |

Definition at line 82 of file utils.cpp.

## ◆ testStatusProvider()

void UtilitiesTests::testStatusProvider | ( |  | ) |

## ◆ testTagTarget()

void UtilitiesTests::testTagTarget | ( |  | ) |

Definition at line 96 of file utils.cpp.

The documentation for this class was generated from the following file:

- tests/utils.cpp